Skip to content

Dispute Notification Settings

Notification settings control tenant-wide defaults for dispute email notifications. Individual assignee preferences (allUpdates, dailyDigest) are configured on each Assignee record.

Retrieving the Tenant's Notification Settings

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Dispute%20Service%20v1#/DisputeNotificationSettingsV1/get_v1_tenants__tenantId__notification_settings

Permission

Dispute Configuration : READ

Example Request

curl -X GET 'https://arc-aegis.billtrust.com/dispute/v1/tenants/{tenantId}/notification-settings' \
    -H 'accept: application/json' \
    -H 'Content-Type: application/json' \
    -H 'X-Billtrust-Api-Key: <API key value>'

Example Response

See DisputeNotificationSettingsV1Response.

Updating the Tenant's Notification Settings

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Dispute%20Service%20v1#/DisputeNotificationSettingsV1/put_v1_tenants__tenantId__notification_settings

Permission

Dispute Configuration : UPDATE

Example Request

curl -X PUT 'https://arc-aegis.billtrust.com/dispute/v1/tenants/{tenantId}/notification-settings' \
    -H 'accept: application/json' \
    -H 'Content-Type: application/json' \
    -H 'X-Billtrust-Api-Key: <API key value>' \
    -d '<request body>'

Example Request Body

{
  "allowDailyDigest": true,
  "timeZone": "America/New York",
  "time": "08:00 PM",
  "allowAllUpdates": true
}

Request Fields

Field Type Required Description
allowDailyDigest boolean No When true, enables daily digest emails for all assignees who have dailyDigest: true on their assignee record
timeZone string No Timezone for the daily digest send time (e.g. America/New York)
time string No Time of day to send the daily digest (e.g. 08:00 PM)
allowAllUpdates boolean No When true, enables real-time update emails for all assignees who have allUpdates: true on their assignee record

Behavior Notes

  • This endpoint is an upsert, if no settings exist for the tenant yet, they are created; otherwise the existing record is updated.

Example Response

See DisputeNotificationSettingsV1Response.


Appendix

DisputeNotificationSettingsV1Response

{
  "id": "{settingsId}",
  "tenantId": "{tenantId}",
  "allowDailyDigest": true,
  "timeZone": "America/New York",
  "time": "08:00 PM",
  "allowAllUpdates": true,
  "createUser": "{userId}",
  "createDate": "2021-03-28T16:01:34.429Z",
  "updateUser": "{userId}",
  "updateDate": "2021-03-28T16:01:34.429Z"
}